SDL_SECONDS_TO_NS(3)

NAME
SDL_SECONDS_TO_NS - Convert seconds to nanoseconds.

HEADER FILE
Defined in SDL3/SDL_timer.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_SECONDS_TO_NS(S)    (((Uint64)(S)) * SDL_NS_PER_SECOND)

DESCRIPTION
This only converts whole numbers, not fractional seconds.

RETURN VALUE
Returns S, expressed in nanoseconds.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.